//
//  ViewController.m
//  PTXDatePickerView
//
//  Created by pantianxiang on 17/1/12.
//  Copyright © 2017年 pantianxiang. All rights reserved.
//  我的CSDN博客地址：http://blog.csdn.net/mrtianxiang
//

#import "ViewController.h"
#import "PTXDatePickerView/PTXDatePickerView.h"

#define PTXScreenWidth [[UIScreen mainScreen] bounds].size.width
#define PTXScreenHeight [[UIScreen mainScreen] bounds].size.height

@interface ViewController () <PTXDatePickerViewDelegate>

@property (nonatomic, strong) PTXDatePickerView *datePickerView;
@property (weak, nonatomic) IBOutlet UIButton *dateButton;
@property (weak, nonatomic) IBOutlet UIButton *yearMonthDayHourButton;
@property (weak, nonatomic) IBOutlet UIButton *yearMonthDayButton;
@property (weak, nonatomic) IBOutlet UIButton *yearRangeButton;
@property (weak, nonatomic) IBOutlet UIButton *yearMonthDayHourMinuteButton;

@property (nonatomic, strong) NSDate *selectedDate; //代表dateButton上显示的时间。

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor lightGrayColor];
    
    [_dateButton setShowsTouchWhenHighlighted:YES];
    [_yearMonthDayHourButton setShowsTouchWhenHighlighted:YES];
    [_yearMonthDayButton setShowsTouchWhenHighlighted:YES];
    [_yearRangeButton setShowsTouchWhenHighlighted:YES];
    
//    [self performSelector:@selector(hide) withObject:nil afterDelay:5];
}

-(void)hide{
    [_datePickerView hideViewWithAnimation:YES]; //测试方法。
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - PTXDatePickerViewDelegate
- (void)datePickerView:(PTXDatePickerView *)datePickerView didSelectDate:(NSDate *)date {
    self.selectedDate = date;
    
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc]init];
    [dateFormatter setDateFormat:@"yyyy-MM-dd HH:mm"];
    [_dateButton setTitle:[dateFormatter stringFromDate:date] forState:UIControlStateNormal];
    
    //释放
//    [_datePickerView removeFromSuperview];
//    self.datePickerView = nil;
}

#pragma mark - Button Action
- (IBAction)changeYearRange:(id)sender {
    //先更新成PTXDatePickerViewDateRangeModelCustom，再设置maxYear。
    _datePickerView.datePickerViewDateRangeModel = PTXDatePickerViewDateRangeModelCustom;
    _datePickerView.minYear = 2000;
    _datePickerView.maxYear = 2050;
}
- (IBAction)yearMonthDayHourMinuteModel:(id)sender {
    //显示年、月、日、时、分
    _datePickerView.datePickerViewShowModel = PTXDatePickerViewShowModelDefalut;
}
- (IBAction)yearMonthDayModel:(id)sender {
    //显示年、月、日
    _datePickerView.datePickerViewShowModel = PTXDatePickerViewShowModelYearMonthDay;
}
- (IBAction)yearMonthDayHourModel:(id)sender {
    //显示年、月、日、时
    _datePickerView.datePickerViewShowModel = PTXDatePickerViewShowModelYearMonthDayHour;
}
- (IBAction)selectDate:(id)sender {
    if (!_datePickerView) {
        _datePickerView = [[PTXDatePickerView alloc]initWithFrame:CGRectMake(0, PTXScreenHeight, PTXScreenWidth, 246.0)];
        _datePickerView.delegate = self;
        [self.view addSubview:_datePickerView];
    }
    
    [_datePickerView showViewWithDate:_selectedDate animation:YES];
}

@end
